curl --location --request POST 'https://api.uat.sokin.com/corporates/parent-entities' \
--header 'x-api-version;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"corporateExternalReference": "string",
"associateType": "Corporate Director or Corporate Beneficial Owner",
"corporateCategory": "string",
"corporateName": "string",
"registrationId": "string",
"dateOfIncorporation": "string",
"website": "string",
"corporateEmailAddress": "string",
"doingBusinessAs": "string",
"businessAddress": "string",
"city": "string",
"stateOrProvince": "string",
"postalCode": "string",
"country": "string",
"ubos": [
{
"addressLine1": "1 Main Street",
"addressLine2": "Suite 5",
"city": "London",
"country": "GB",
"countryOfBirth": "GB",
"dateOfBirth": "1988-04-12",
"email": "jane.doe@example.com",
"firstName": "Jane",
"idIssuingCountry": "GB",
"isBeneficialOwner": true,
"lastName": "Doe",
"middleName": "A",
"nationalIdNumber": "AB123456C",
"nationality": "GB",
"ownership": 25,
"phoneNumber": "+447700900000",
"postalCode": "SW1A 1AA",
"state": "Greater London"
}
]
}'